+ Reply to Thread
Results 1 to 3 of 3

Thread: Just one enter

  1. #1
    Senior Member teknomatika's Avatar
    Using
    AutoCAD 2009
    Join Date
    Sep 2010
    Location
    Portugal
    Posts
    247

    Default Just one enter

    Registered forum members do not see this ad.

    what is missing for that selection becomes active only one enter?
    As is, it takes two enters.

    Code:
    ;;filter points
    (defun c:selpt ()
    (command "pselect" (ssget '((0 . "POINT"))))
    (princ)
    )

  2. #2
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,366

    Default

    I suggest:
    Code:
    (defun c:selpt ( )
        (sssetfirst nil (ssget '((0 . "POINT"))))
        (princ)
    )
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  3. #3
    Senior Member teknomatika's Avatar
    Using
    AutoCAD 2009
    Join Date
    Sep 2010
    Location
    Portugal
    Posts
    247

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by Lee Mac View Post
    I suggest:
    Code:
    (defun c:selpt ( )
        (sssetfirst nil (ssget '((0 . "POINT"))))
        (princ)
    )
    That's it. Who knows knows.
    Tanks!

Similar Threads

  1. Hit the enter button
    By alijahed in forum AutoLISP, Visual LISP & DCL
    Replies: 2
    Last Post: 19th May 2010, 12:34 am
  2. Please Enter No More Than 128 Characters
    By User in forum AutoCAD General
    Replies: 5
    Last Post: 7th Jan 2009, 01:29 pm
  3. 'c' disappears when i hit 'enter'
    By criscris27 in forum AutoCAD Beginners' Area
    Replies: 7
    Last Post: 14th Aug 2008, 11:12 am
  4. How do I put Enter on the Right click!?
    By alijahed in forum AutoCAD General
    Replies: 1
    Last Post: 3rd May 2007, 01:43 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts